import type { FunctionComponent } from "react";
import type { PropertyLineProps } from "./propertyLine.js";
import type { Color3 } from "@babylonjs/core/Maths/math.color.js";
import { Color4 } from "@babylonjs/core/Maths/math.color.js";
type ColorSliderProps = {
    color: Color3 | Color4;
};
/**
 * Reusable component which renders a color property line containing a label, colorPicker popout, and expandable RGBA values
 * The expandable RGBA values are synced sliders that allow the user to modify the color's RGBA values directly
 * @param props - PropertyLine props, replacing children with a color object so that we can properly display the color
 * @returns Component wrapping a colorPicker component (coming soon) with a property line
 */
export declare const ColorPropertyLine: FunctionComponent<ColorSliderProps & PropertyLineProps>;
export {};
