import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { PropertyLine } from "./propertyLine.js";
import { SyncedSliderLine } from "./syncedSliderLine.js";
import { Color4 } from "@babylonjs/core/Maths/math.color.js";
const ColorSliders = (props) => {
    return (_jsxs(_Fragment, { children: [_jsx(SyncedSliderLine, { label: "R", propertyKey: "r", target: props.color, min: 0, max: 255 }), _jsx(SyncedSliderLine, { label: "G", propertyKey: "g", target: props.color, min: 0, max: 255 }), _jsx(SyncedSliderLine, { label: "B", propertyKey: "b", target: props.color, min: 0, max: 255 }), props.color instanceof Color4 && _jsx(SyncedSliderLine, { label: "A", propertyKey: "a", target: props.color, min: 0, max: 1 })] }));
};
/**
 * Reusable component which renders a color property line containing a label, colorPicker popout, and expandable RGBA values
 * The expandable RGBA values are synced sliders that allow the user to modify the color's RGBA values directly
 * @param props - PropertyLine props, replacing children with a color object so that we can properly display the color
 * @returns Component wrapping a colorPicker component (coming soon) with a property line
 */
export const ColorPropertyLine = (props) => {
    return (_jsx(PropertyLine, { ...props, expandedContent: _jsx(ColorSliders, { ...props }), children: props.color.toString() }));
};
//# sourceMappingURL=colorPropertyLine.js.map