import type { FunctionComponent } from "react";
import type { PropertyLineProps } from "./propertyLine.js";
import { Vector4 } from "@babylonjs/core/Maths/math.vector.js";
import type { Vector3 } from "@babylonjs/core/Maths/math.vector.js";
type VectorSliderProps = {
    vector: Vector3 | Vector4;
    min?: number;
    max?: number;
    step?: number;
};
/**
 * Reusable component which renders a vector property line containing a label, vector value, and expandable XYZW values
 * The expanded section contains a slider/input box for each component of the vector (x, y, z, w)
 * @param props
 * @returns
 */
export declare const VectorPropertyLine: FunctionComponent<VectorSliderProps & PropertyLineProps>;
export {};
