import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Body1 } from "@fluentui/react-components";
import { PropertyLine } from "./propertyLine.js";
import { SyncedSliderLine } from "./syncedSliderLine.js";
import { Vector4 } from "@babylonjs/core/Maths/math.vector.js";
const VectorSliders = (props) => {
    const { vector, ...sliderProps } = props;
    return (_jsxs(_Fragment, { children: [_jsx(SyncedSliderLine, { ...sliderProps, label: "X", propertyKey: "x", target: vector }), _jsx(SyncedSliderLine, { ...sliderProps, label: "Y", propertyKey: "y", target: vector }), _jsx(SyncedSliderLine, { ...sliderProps, label: "Z", propertyKey: "z", target: vector }), vector instanceof Vector4 && _jsx(SyncedSliderLine, { ...sliderProps, label: "W", propertyKey: "w", target: vector })] }));
};
/**
 * Reusable component which renders a vector property line containing a label, vector value, and expandable XYZW values
 * The expanded section contains a slider/input box for each component of the vector (x, y, z, w)
 * @param props
 * @returns
 */
export const VectorPropertyLine = (props) => {
    return (_jsx(PropertyLine, { ...props, expandedContent: _jsx(VectorSliders, { ...props }), children: _jsx(Body1, { children: props.vector.toString() }) }));
};
//# sourceMappingURL=vectorPropertyLine.js.map