import { jsx as _jsx } from "react/jsx-runtime";
import { Checkbox as FluentCheckbox } from "@fluentui/react-components";
import { useEffect, useState } from "react";
/**
 * This is a primitive fluent checkbox that can both read and write checked state
 * @param props
 * @returns Checkbox component
 */
export const Checkbox = (props) => {
    const [checked, setChecked] = useState(() => props.checked ?? false);
    useEffect(() => {
        if (props.checked != undefined) {
            setChecked(props.checked); // Update local state when props.checked changes
        }
    }, [props.checked]);
    const onChange = (ev, data) => {
        props.onChange && props.onChange(ev, data);
        setChecked(ev.target.checked);
    };
    return _jsx(FluentCheckbox, { ...props, checked: checked, onChange: onChange });
};
//# sourceMappingURL=checkbox.js.map