import type { FunctionComponent } from "react";
export type DropdownOption = {
    /**
     * Defines the visible part of the option
     */
    label: string;
    /**
     * Defines the value part of the option (returned through the callback)
     */
    value: string | number;
};
type DropdownProps = {
    options: readonly DropdownOption[];
    onSelect: (o: string) => void;
    defaultValue?: DropdownOption;
};
/**
 * Renders a fluent UI dropdown with a calback for selection and a required default value
 * @param props
 * @returns dropdown component
 */
export declare const Dropdown: FunctionComponent<DropdownProps>;
export {};
