import { jsx as _jsx } from "react/jsx-runtime";
import { Dropdown as FluentDropdown, makeStyles, Option } from "@fluentui/react-components";
const useDropdownStyles = makeStyles({
    dropdownOption: {
        textAlign: "right",
        minWidth: "40px",
    },
    optionsLine: {},
});
/**
 * Renders a fluent UI dropdown with a calback for selection and a required default value
 * @param props
 * @returns dropdown component
 */
export const Dropdown = (props) => {
    const classes = useDropdownStyles();
    return (_jsx(FluentDropdown, { className: classes.dropdownOption, onOptionSelect: (evt, data) => {
            data.optionValue != undefined && props.onSelect(data.optionValue);
        }, defaultValue: props.defaultValue?.label, defaultSelectedOptions: props.defaultValue && [props.defaultValue.value.toString()], children: props.options.map((option) => (_jsx(Option, { className: classes.optionsLine, value: option.value.toString(), disabled: false, children: option.label }, option.label))) }));
};
//# sourceMappingURL=dropdown.js.map