import type { InputProps, SliderProps } from "@fluentui/react-components";
import type { FunctionComponent } from "react";
export type SyncedSliderProps = Omit<InputProps & SliderProps, "onChange" | "value"> & {
    /**
     * Callback to notify parent of value change, override both of the slider/input handlers
     */
    onChange: (value: number) => void;
    /**
     * Controlled value for the slider and input
     */
    value: number;
};
/**
 * Component which synchronizes a slider and an input field, allowing the user to change a value using either control
 * @param props
 * @returns SyncedSlider component
 */
export declare const SyncedSliderInput: FunctionComponent<SyncedSliderProps>;
